%global git_date 20130629
%global git_hash b44b1fa
%global git_user bwalex
%global git_project tc-play

%if 0%{?rhel}
%global cmake %cmake28
%endif

Name:		tcplay
Version:	1.1
Release:	0.1.%{git_date}git%{git_hash}%{?dist}
Summary:	Utility to create/open/map TrueCrypt-compatible volumes
Group:		Applications/System
License:	BSD
URL:		https://github.com/%{git_user}/%{git_project}
Source0:	https://github.com/%{git_user}/%{git_project}/tarball/%{git_hash}/%{git_project}-%{git_hash}.tar.gz

%if 0%{?rhel}
BuildRequires:	cmake28
%else
BuildRequires:	cmake
%endif
BuildRequires:	device-mapper-devel libgcrypt-devel libuuid-devel
BuildRequires:	openssl-devel

%description
The tcplay utility provides full support for creating and opening/mapping
TrueCrypt-compatible volumes.

%prep
%setup -q -n %{git_user}-%{git_project}-%{git_hash}

%build
%{cmake}
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -p -m 644 %{name}.8 %{buildroot}%{_mandir}/man8

%files
%doc README.md LICENSE
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Tue Jul 23 2013 Eric Smith <brouhaha@fedoraproject.org> - 1.1-0.1.20130629gitb44b1fa
- Updated to latest upstream snapshot.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.7.20111007git97ed5f9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.6.20111007git97ed5f9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-0.5.20111007git97ed5f9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.4.20111007git97ed5f9
- Removed more outdated items from spec, not intending to support RHEL5 or
  earlier.

* Thu Oct 06 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.3.20111007git97ed5f9
- updated to new upstream snapshot

* Thu Oct 06 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.2.20111004git59c6097
- updated based on package review comments, bug 743497

* Tue Oct 04 2011 Eric Smith <eric@brouhaha.com> - 0.9-0.1.20111004git59c6097
- initial version
